package com.chelvc.cloud.vehicle.api.constant;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: igl
 * @date: 2023/8/14 16:13
 */
@Getter
@AllArgsConstructor
public enum AttentionType {

  ATTENTION(1, "关注"),
  FANS(2, "粉丝"),
  FRIEND(3, "好友");

  @EnumValue
  @JsonValue
  private int value;
  private String desc;
}
