package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.FeedBackDTO;
import com.chelvc.cloud.vehicle.api.param.FeedBackModifyParam;
import com.chelvc.cloud.vehicle.api.param.FeedBackReplyModifyParam;

import java.util.List;

/**
 * 意见反馈回复接口
 *
 * @author liude
 * @data 2024/1/12
 */
public interface FeedbackReplyService {

    /**
     * 新增意见反馈回复
     *
     * @param param 新增参数
     * @return 主键
     */
    Long addFeedbackReply(FeedBackReplyModifyParam param);

    /**
     * 修改意见回复反馈
     *
     * @param id    主键
     * @param param 修改参数
     */
    void updateFeedbackReply(Long id, FeedBackReplyModifyParam param);

}
