package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.ProfitRatioConfigDTO;
import com.chelvc.cloud.vehicle.api.param.AddProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.api.param.EditProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.api.param.QueryProfitRatioConfigParam;
import com.chelvc.framework.common.model.Pagination;

public interface ProfitRatioConfigService {

    void add(AddProfitRatioConfigParams params);

    void edit(EditProfitRatioConfigParams params);

    void delete(Long id, Long userId);

    Pagination<ProfitRatioConfigDTO> queryPageList(QueryProfitRatioConfigParam param);

}
