package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.server.entity.RankAwardConfig;

import java.util.List;

public interface RankAwardConfigService {

    RankAwardConfig queryById(Long id);

    /**
     *
     * @param type 类型：0-年；1-季；2-月；3-周；4-日
     * @param platformType 平台类型：1-用户；2-商家
     * @param regionLevel 区域等级：0-国家；1-省；2-市；3-区
     * @return
     */
    List<RankAwardConfig> queryList(Integer type, Integer platformType, Integer regionLevel);
}
