package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chelvc.cloud.vehicle.api.dto.PlatformProfitRatioDTO;
import com.chelvc.cloud.vehicle.server.entity.PlatformProfitRatio;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Mapper
public interface PlatformProfitRatioMapper extends BaseMapper<PlatformProfitRatio> {

    IPage<PlatformProfitRatioDTO> queryPageList(@Param("page") Page<PlatformProfitRatioDTO> page, @Param(Constants.WRAPPER) QueryWrapper<PlatformProfitRatioDTO> wrapper);

    int updateRatio(@Param("id") Long id, @Param("ratio") int ratio, @Param("now") LocalDateTime now, @Param("amount") BigDecimal amount);
}
