package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.dto.CategoryDTO;
import com.chelvc.cloud.vehicle.server.entity.Category;

import java.util.List;

/**
 * 分类业务操作接口
 *
 * @author Woody
 * @date 2023/5/2
 */
public interface CategoryService extends IService<Category> {
    /**
     * 查询分类列表
     * @param categories
     * @return
     */
    List<CategoryDTO> listCategories(List<Long> categories);
}
